package com.ruoyi.shipping.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.shipping.domain.TFeeInvoice;

/**
 * 发票从Service接口
 * 
 * @author ruoyi
 * @date 2021-04-22
 */
public interface ITFeeInvoiceService 
{
    /**
     * 查询发票从
     * 
     * @param fId 发票从ID
     * @return 发票从
     */
    public TFeeInvoice selectTFeeInvoiceById(Long fId);

    /**
     * 查询发票从列表
     * 
     * @param tFeeInvoice 发票从
     * @return 发票从集合
     */
    public List<TFeeInvoice> selectTFeeInvoiceList(TFeeInvoice tFeeInvoice);

    /**
     * 新增发票从
     * 
     * @param tFeeInvoice 发票从
     * @return 结果
     */
    public int insertTFeeInvoice(TFeeInvoice tFeeInvoice);

    /**
     * 修改发票从
     * 
     * @param tFeeInvoice 发票从
     * @return 结果
     */
    public int updateTFeeInvoice(TFeeInvoice tFeeInvoice);

    /**
     * 批量删除发票从
     * 
     * @param fIds 需要删除的发票从ID
     * @return 结果
     */
    public int deleteTFeeInvoiceByIds(Long[] fIds);

    /**
     * 删除发票从信息
     * 
     * @param fId 发票从ID
     * @return 结果
     */
    public AjaxResult deleteTFeeInvoiceById(Long fId);
}
